Main Page Namespaces Book

# Pango::ItemTraits Struct Reference

List of all members.

## Public Types

typedef Pango::Item | CppType
typedef const PangoItem* | CType
typedef PangoItem* | CTypeNonConst

## Static Public Member Functions

static void | release_c_type (CType ptr)
static CType | to_c_type (CType ptr)
static CType | to_c_type (const CppType& obj)
static CppType | to_cpp_type (CType ptr)

## Member Typedef Documentation

typedef Pango::Item Pango::ItemTraits::CppType

typedef const PangoItem* Pango::ItemTraits::CType

typedef PangoItem* Pango::ItemTraits::CTypeNonConst

## Member Function Documentation

static void Pango::ItemTraits::release_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::ItemTraits::to_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::ItemTraits::to_c_type | ( | const CppType& | obj | ) | `[inline, static]`

References Pango::Item::gobj().

static CppType Pango::ItemTraits::to_cpp_type | ( | CType | ptr | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- item.h